## groovy.util
Class AllTestSuite

AllTestSuite can be used in extension of GroovyTestSuite to execute TestCases written in Groovy from inside a Java IDE. AllTestSuite collects all files below a given directory that comply to a given pattern. From these files, a TestSuite is constructed that can be run via an IDE graphical Test runner. The files are assumed to be Groovy source files and be either a TestCase or a Script that can be wrapped transparently into a TestCase. The directory and the pattern can be set via System properties (see this classes' constants for details.) When setting the loglevel of this class to FINEST, all file loading will be logged. See also groovy.util.AllTestSuiteTest.groovy

author:
  Dierk Koenig based on a prototype by Andrew Glover

author:
  Paul King

todo: dk: make FileNameFinder injectable

Field Summary
`def` | `EMPTY_ARGS`
`GroovyClassLoader` | `GROOVY_LOADER`
`ClassLoader` | `JAVA_LOADER`
`Logger` | `LOG`
`String` | `SYSPROP_TEST_DIR`
`String` | `SYSPROP_TEST_EXCLUDES_PATTERN`
`String` | `SYSPROP_TEST_PATTERN`
`IFileNameFinder` | `finder`

Constructor Summary
`AllTestSuite()`

Method Summary
`Class` | `compile(String fileName)`
`void` | `loadTest(String fileName)`
`static Test` | `suite()`
`static Test` | `suite(String basedir, String pattern)`
`static Test` | `suite(String basedir, String pattern, String excludesPattern)`

Constructor Detail

### AllTestSuite

    AllTestSuite()

Method Detail

### compile

    Class compile(String fileName)

### loadTest

    void loadTest(String fileName)

### suite

    public static Test suite()

### suite

    public static Test suite(String basedir, String pattern)

### suite

    public static Test suite(String basedir, String pattern, String excludesPattern)